import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiComputeSnapshotListResultModel(_base.BaseAPIResultModel):
    data: list[_nested.SnapshotSetAPIResultNM]
    entry_count: int


class CloudapiComputeSnapshotListProtocol(_base.BasePostAPIFunctionProtocol):
    def snapshot_list(
        self,
        *,
        vm_id: int,
    ) -> CloudapiComputeSnapshotListResultModel:
        ...
